% This is stiffly accurate, with embedded stiffly accurate Rosenbrock,
% order 3, 3 fcns & 4 substitutions

g = .43586652150845899941601945119356E+00;

GAM = [g     0    0   0
       0     g    0   0
       g     0    g   0
       0     g    0   g];
      
C = eye(4)/g-inv(GAM)       

A = [0 0 0 0
     2/3 0 0 0
     0 0 0 0
     2/3 0 0  0];
    
    
A1 = A*inv(GAM) 

x = 1.5*(1/6-g+g^2)/g;

b = [5/4+x, 3/4-x, -1-x, x]';
m = b'*inv(GAM)

bhat = [1/4+3/2*g, 3/4-3/2*g, 0, 0]';
n = bhat'*inv(GAM);
d = m-n

B = A + GAM;
OMEGA = inv(B)

i = 0;
r = [];
for z=-50:0.1:50
 i = i+1; 
 r(i) = 1 + sqrt(-1)*z*b'*inv(eye(4)-sqrt(-1)*z*B)*ones(4,1);
end
plot(r);title('R');
pause

i = 0;
r = [];
for z=-50:0.1:50
 i = i+1; 
 r(i) = 1 + sqrt(-1)*z*bhat'*inv(eye(4)-sqrt(-1)*z*B)*ones(4,1);
end
plot(r);title('R_hat');
