% This is stiffly accurate, with embedded stiffly accurate Rosenbrock,
% order 3, 3 fcns & 4 substitutions

GAM = [0.5   0    0   0
       1    0.5   0   0
       -0.25 -0.25 0.5 0
       1/12  1/12  -2/3 0.5];
      
C = 2*eye(4)-inv(GAM)       

A = [0 0 0 0
     0 0 0 0
     1 0 0 0
     0.75  -0.25  0.5  0];
    
    
A1 = A*inv(GAM) 

b = [5/6  -1/6  -1/6  1/2]';
m = b'*inv(GAM)

bhat = [0.75  -0.25  0.5  0]';
n = bhat'*inv(GAM);
d = m-n

B = A + GAM;
OMEGA = inv(B)

i = 0;
r = [];
for z=-50:0.1:50
 i = i+1; 
 r(i) = 1 + sqrt(-1)*z*b'*inv(eye(4)-sqrt(-1)*z*B)*ones(4,1);
end
plot(r);title('R');
pause

i = 0;
r = [];
for z=-50:0.1:50
 i = i+1; 
 r(i) = 1 + sqrt(-1)*z*bhat'*inv(eye(4)-sqrt(-1)*z*B)*ones(4,1);
end
plot(r);title('R_hat');
