#DEFVAR
    O1D         = O ;           {oxygen atomic first singlet state}
    H2O2        = 2H + 2O ;     {hydrogen peroxide}
    PAN         = 2C + 3H + 5O + N ; {CH3C(O)OONO2, peroxyacyl nitrate}
    CRO         = IGNORE ;      {methylphenoxy radical}
    TOL         = 7C + 8H ;     {C6H5-CH3 toluene}
    N2O5        = 2N + 5O ;     {dinitrogen pentoxide}
    XYL         = 8C + 10H ;    {C6H4-(CH3)2 xylene}
    XO2N        = IGNORE ;      {NO-to-nitrate operation}          
    HONO        = H + 2O + N ;  {nitrous acid}
    PNA         = H + 4 O + N ; {HO2NO2 peroxynitric acid}
    TO2         = IGNORE ;      {toluene-hydroxyl radical adduct}
    HNO3        = H + N + 3O ;  { nitric acid }
    ROR         = IGNORE ;      {secondary organic oxy radical}
    CRES        = IGNORE ;      {cresol and h.m.w. phenols}
    MGLY        = 3C + 4H + 2O ; {CH3C(O)C(O)H methylglyoxal}
    CO          = C + O ;       {carbon monoxide}    ETH         = 2C + 4H ;     {CH2=CH2 ethene}
    XO2         = IGNORE ;      {NO-to-NO2 operation}
    OPEN        = IGNORE ;      {h.m.w. aromatic oxidation ring fragment}
    PAR         = IGNORE ;      {parafin carbon bond}
    HCHO        = C + 2H + O ;  {formalydehyde}
    ISOP        = IGNORE ;      {isoprene}
    OLE         = IGNORE ;      {olefinic carbon bond}
    ALD2        = IGNORE ;      {high molecular weight aldehides}
    O3          = 3O ;          {ozone}
    NO2         = N + 2O ;      {nitrogen dioxide}
    OH          = O + H ;       {hydroxyl radical}
    HO2         = H + 2O ;      {perhydroxyl radical}
    O           = O ;           {oxygen atomic ground state (3P)}
    NO3         = N + 3O ;      {nitrogen trioxide}
    NO          = N + O ;       {nitric oxide}
    C2O3        = 2C + 3H + 3O ; {CH3CO(O)OO peroxyacyl radical}

#DEFFIX
    H2O         = H + 2O ;      {water}
    H2          = 2H ;          {molecular hydrogen}
    O2          = 2O ;          {molecular oxygen}
    N2          = 2N ;          {molecular nitrogen}
    CH4         = C + 4H ;      {methane}
    M           = IGNORE ;      {third body}