load Atmvode.m
y = Atmvode;

load Radau.m;
r=Radau;
clear Radau;

T=r(:,1);
y(:,1)=[];
r(:,1)=[];

rmin=min(r);

err=y-r;
uround=1E-15;
[m,n] = size(r);

% for i=1:15
% plot(T,r(:,i),T,y(:,i),':');title(int2str(i));
% pause
% end

sda=[];
for i=1:n
 sda(i) = norm(err(:,i),2)/norm(r(:,i),2);
end

disp(['SDA = ',num2str(-log10(mean(sda)))]);

 x=[0.65  0.10  1.56  0.16
     0.95  0.12   1.68  0.18
     1.85  0.18  2.02  0.20
     2.10  0.25  2.16  0.21
     2.63  0.44   2.65  0.24
     2.90  0.58  2.92  0.26
     3.66  1.12  3.55  0.29
     4.87   2.85  4.20  0.39];

semilogx(x(:,2),x(:,1),x(:,4),x(:,3),'--')